package com.example.demo.data.database

import android.content.Context
import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import com.example.demo.data.database.dao.CredentialDao
import com.example.demo.data.model.CredentialModel

@Database(entities = [CredentialModel::class], version = 1, exportSchema = false)
abstract class CredentialDatabase : RoomDatabase() {

    abstract fun credentialDao(): CredentialDao

    companion object {
        @Volatile
        private var Instance: CredentialDatabase? = null

        fun getDatabase(context: Context): CredentialDatabase {

            return Instance ?: synchronized(this) {
                Room.databaseBuilder(context, CredentialDatabase::class.java, "password_database")
                    .build()
                    .also { Instance = it }
            }
        }
    }
}