package com.example.demo.data.database.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import com.example.demo.data.model.CredentialModel
import kotlinx.coroutines.flow.Flow

@Dao
interface CredentialDao {

    @Insert
    suspend fun insertCredential(item: CredentialModel)

    @Update
    suspend fun updateCredential(item: CredentialModel)

    @Delete
    suspend fun deleteCredential(item: CredentialModel)

    @Query("SELECT * from credential")
    fun getAllCredential(): Flow<List<CredentialModel>>

}