package com.example.demo.di

import android.content.Context
import com.example.demo.data.database.CredentialDatabase
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.android.qualifiers.ApplicationContext
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object DatabaseModule {

    @Singleton
    @Provides
    fun provideContext(@ApplicationContext context: Context): Context = context

    @Singleton
    @Provides
    fun provideDatabase(@ApplicationContext context: Context): CredentialDatabase =
        CredentialDatabase.getDatabase(context)


}