package com.example.demo.dialog

import android.os.Build
import androidx.annotation.RequiresApi
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Button
import androidx.compose.material3.Card
import androidx.compose.material3.ExperimentalMaterial3Api
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.compose.ui.window.Dialog
import androidx.compose.ui.window.DialogProperties
import com.example.demo.component.BottomSheetComponent
import com.example.demo.component.TextComponent
import java.time.LocalDate

@Composable
fun AuthRequiredDialog(
    modifier: Modifier = Modifier,
    onUsePassword: () -> Unit,
    onDismissRequest: () -> Unit,
) {

    Dialog(
        onDismissRequest = onDismissRequest,
        properties = DialogProperties(dismissOnBackPress = false, dismissOnClickOutside = false)
    ) {

        Card(
            modifier = Modifier
                .fillMaxWidth()
                .height(100.dp)
                .padding(16.dp),
            shape = RoundedCornerShape(16.dp),
        ) {
            Button(onClick = onUsePassword) {
                TextComponent(text = "Use Password")
            }
        }
    }
}

@RequiresApi(Build.VERSION_CODES.O)
@OptIn(ExperimentalMaterial3Api::class)
@Composable
fun CustomDatePicker(
    modifier: Modifier = Modifier,
    title: String = "Date From",
    onDismissRequest: () -> Unit,
    onConfirmation: (LocalDate) -> Unit,
) {
    BottomSheetComponent(onDismiss = onDismissRequest) {

    }
}